Fibo Edit
統合
bria/fibo-edit/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-edit/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo-edit/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo-edit/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/ja/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "bria/fibo-edit/edit",
"input": {}
}
Doitong APIを通じてFibo Editモデル(bria/fibo-edit/edit)を呼び出します。エージェント向けドキュメント: https://doitong.com/ja/developers/models/bria/fibo-edit/edit.md
POST https://api.doitong.com/v1/run/bria/fibo-edit/edit?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{}
レスポンスのステータスが"queued"または"running"の場合、"succeeded"になるまでGET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20をポーリングしてください。ファイルはoutputs[].urlにあります。同じボディでPOST https://api.doitong.com/v1/quote/bria/fibo-edit/editを実行すると、実行前の正確な価格が返されます。
このリクエスト: $0.04 40 APIクレジット このページで実行
新しいAPIキーです。 これは今だけ表示され、コードと下記のAPIキー欄にすでに入力されています。秘密にしてください。ブラウザで実行されるコードに決して含めないでください。
最初の結果がここに表示されます
以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。
リクエストを作成
コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。
/run/bria/fibo-edit/edit?wait=20
見積もり → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-edit/edit?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/bria/fibo-edit/edit?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/bria/fibo-edit/edit", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "bria/fibo-edit/edit",
"input": {},
"wait_seconds": 20
}
}
}
Fibo Editについて
画像を細かく制御して編集します。入力は `image_url`、任意の `mask_url`、および `instruction` または事前構築済みの `vgl` です。代わりに `original_vgl` と `new_vgl` を渡し、差分で編集することもできます。`steps_num` は 20〜50(デフォルト 30)で、`guidance_scale`、`negative_prompt`、`seed` も使用できます。
パラメータ
正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称
image_url任意
image
mask_url任意
mask
instruction任意
vgl任意
vgl.short_description任意
vgl.objects任意
vgl.objects[].description任意
vgl.objects[].location任意
vgl.objects[].relationship必須
vgl.objects[].relative_size任意
vgl.objects[].shape_and_color任意
vgl.objects[].texture任意
vgl.objects[].appearance_details任意
vgl.objects[].number_of_objects任意
vgl.objects[].pose任意
vgl.objects[].expression任意
vgl.objects[].clothing任意
vgl.objects[].action任意
vgl.objects[].gender任意
vgl.objects[].skin_tone_and_texture任意
vgl.objects[].orientation任意
vgl.background_setting任意
vgl.lighting任意
vgl.lighting.conditions任意
vgl.lighting.direction任意
vgl.lighting.shadows任意
vgl.aesthetics任意
vgl.aesthetics.composition任意
vgl.aesthetics.color_scheme任意
vgl.aesthetics.mood_atmosphere任意
vgl.aesthetics.preference_score任意
vgl.aesthetics.aesthetic_score任意
vgl.photographic_characteristics任意
vgl.photographic_characteristics.depth_of_field任意
vgl.photographic_characteristics.focus任意
vgl.photographic_characteristics.camera_angle任意
vgl.photographic_characteristics.lens_focal_length任意
vgl.style_medium任意
vgl.text_render任意
vgl.context任意
vgl.artistic_style任意
vgl.edit_instruction任意
original_vgl任意
original_vgl.short_description任意
original_vgl.objects任意
original_vgl.objects[].description任意
original_vgl.objects[].location任意
original_vgl.objects[].relationship必須
original_vgl.objects[].relative_size任意
original_vgl.objects[].shape_and_color任意
original_vgl.objects[].texture任意
original_vgl.objects[].appearance_details任意
original_vgl.objects[].number_of_objects任意
original_vgl.objects[].pose任意
original_vgl.objects[].expression任意
original_vgl.objects[].clothing任意
original_vgl.objects[].action任意
original_vgl.objects[].gender任意
original_vgl.objects[].skin_tone_and_texture任意
original_vgl.objects[].orientation任意
original_vgl.background_setting任意
original_vgl.lighting任意
original_vgl.lighting.conditions任意
original_vgl.lighting.direction任意
original_vgl.lighting.shadows任意
original_vgl.aesthetics任意
original_vgl.aesthetics.composition任意
original_vgl.aesthetics.color_scheme任意
original_vgl.aesthetics.mood_atmosphere任意
original_vgl.aesthetics.preference_score任意
original_vgl.aesthetics.aesthetic_score任意
original_vgl.photographic_characteristics任意
original_vgl.photographic_characteristics.depth_of_field任意
original_vgl.photographic_characteristics.focus任意
original_vgl.photographic_characteristics.camera_angle任意
original_vgl.photographic_characteristics.lens_focal_length任意
original_vgl.style_medium任意
original_vgl.text_render任意
original_vgl.context任意
original_vgl.artistic_style任意
original_vgl.edit_instruction任意
new_vgl任意
new_vgl.short_description任意
new_vgl.objects任意
new_vgl.objects[].description任意
new_vgl.objects[].location任意
new_vgl.objects[].relationship必須
new_vgl.objects[].relative_size任意
new_vgl.objects[].shape_and_color任意
new_vgl.objects[].texture任意
new_vgl.objects[].appearance_details任意
new_vgl.objects[].number_of_objects任意
new_vgl.objects[].pose任意
new_vgl.objects[].expression任意
new_vgl.objects[].clothing任意
new_vgl.objects[].action任意
new_vgl.objects[].gender任意
new_vgl.objects[].skin_tone_and_texture任意
new_vgl.objects[].orientation任意
new_vgl.background_setting任意
new_vgl.lighting任意
new_vgl.lighting.conditions任意
new_vgl.lighting.direction任意
new_vgl.lighting.shadows任意
new_vgl.aesthetics任意
new_vgl.aesthetics.composition任意
new_vgl.aesthetics.color_scheme任意
new_vgl.aesthetics.mood_atmosphere任意
new_vgl.aesthetics.preference_score任意
new_vgl.aesthetics.aesthetic_score任意
new_vgl.photographic_characteristics任意
new_vgl.photographic_characteristics.depth_of_field任意
new_vgl.photographic_characteristics.focus任意
new_vgl.photographic_characteristics.camera_angle任意
new_vgl.photographic_characteristics.lens_focal_length任意
new_vgl.style_medium任意
new_vgl.text_render任意
new_vgl.context任意
new_vgl.artistic_style任意
new_vgl.edit_instruction任意
seed任意
steps_num任意
negative_prompt任意
guidance_scale任意
ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル
出力
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "bria/fibo-edit/edit",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 40,
"usd": "0.04",
"charged": 40,
"refunded": 0
},
"input": {},
"output": {
"image": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
},
"images": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
],
"vgl": {},
"structured_instruction": {}
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
出力フィールド
- image
- object {url, content_type, file_name, file_size, width, height}モデルが生成した画像。
- images
- array of object {url, content_type, file_name, file_size, width, height}生成された画像。
- vgl
- object画像生成に使用するVGLドキュメント。
- structured_instruction
- object同じドキュメントの非推奨エイリアス。代わりに `vgl` を使用してください。
その他のFibo Editバリアント
その他のモデル: 画像編集
AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/bria/fibo-edit/edit.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt






